summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorwosch <wosch@FreeBSD.org>1998-02-15 18:54:26 +0000
committerwosch <wosch@FreeBSD.org>1998-02-15 18:54:26 +0000
commitd38151f2d027babf495107be4bd6755e547fc85d (patch)
treeed654eab6606ece21327950955b0344efdd434b1 /tools
parenta0ce30b205151ca2d9f80604b5e15794d4dd58a7 (diff)
downloadFreeBSD-src-d38151f2d027babf495107be4bd6755e547fc85d.zip
FreeBSD-src-d38151f2d027babf495107be4bd6755e547fc85d.tar.gz
httpd-error is a shell script which print a summary about
Web files which does not exists on your host. E.g. httpd-error -userhits < /var/log/httpd-error.log print the number of errors by users, sorted by error hits.
Diffstat (limited to 'tools')
-rw-r--r--tools/diag/README1
-rwxr-xr-xtools/diag/httpd-error/httpd-error40
2 files changed, 41 insertions, 0 deletions
diff --git a/tools/diag/README b/tools/diag/README
index 18f7b68..fb70f02 100644
--- a/tools/diag/README
+++ b/tools/diag/README
@@ -7,3 +7,4 @@ the integrity.
Please make a subdir per program, and add a brief description to this file.
ac check if the FreeBSD handbook is in sync with the committers list
+httpd-error check for Web files which does not exists on your host
diff --git a/tools/diag/httpd-error/httpd-error b/tools/diag/httpd-error/httpd-error
new file mode 100755
index 0000000..b1ff405
--- /dev/null
+++ b/tools/diag/httpd-error/httpd-error
@@ -0,0 +1,40 @@
+#!/bin/sh
+# Copyright (c) 1998 by Wolfram Schneider <wosch@FreeBSD.org>, Berlin.
+# <insert BSD Licence>
+#
+# httpd-error - check for Web files which does not exists on your host
+#
+# $Id$
+
+mode=${1}
+
+case "$mode" in
+ -host)
+ grep 'File does not exist$' |
+ awk '{print $11}' |
+ sort | uniq -c | sort -nr | perl -npe 's/,$//'
+ ;;
+ -filehits)
+ grep 'File does not exist$' |
+ awk '{print $8}' |
+ sort | uniq -c | sort -nr
+ ;;
+ -user)
+ grep 'File does not exist$' |
+ awk '{print $8}' |
+ sort | uniq -c | sort +1
+ ;;
+ -userhits)
+ grep 'File does not exist$' |
+ awk '{print $8}' | sort |
+ perl -npe 's#/home/([^/]+)/public_html.*#/~$1/#;
+ s#/usr/local/www/data/.*#/usr/local/www/data/#' |
+ uniq -c | sort -nr
+ ;;
+
+ *) echo 'usage $0 {-host|-filehits|-user|-userhits} < error.log' >&2
+ exit 1
+ ;;
+esac
+
+
OpenPOWER on IntegriCloud